#ifndef _NETWORK_H_
#define _NETWORK_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#include <sys/types.h>
#include <sys/socket.h>

#include "config.h"


typedef struct {
  u_int32_t frame_magic;
  u_int32_t frame_count;
  u_int16_t frame_width;
  u_int16_t frame_height;
  u_int8_t  frame_data[WIDTH][HEIGHT];
} frame_t;


       char setup_socket    (      int     *);
       void close_socket    (      int     *);
inline char get_frame       (      int,        frame_t *);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _NETWORK_H_ */
